<?php 

use Joomla\CMS\Uri\Uri;

// add field
if (!defined("JPB_PARAM")) define('JPB_PARAM', 'act');
if (!defined("JPB_DEVMODE")) define('JPB_DEVMODE', '');
if (!defined("JPB_PATH")) define('JPB_PATH', __DIR__);
if (!defined("JPB_PATH_BASE")) define('JPB_PATH_BASE', Uri::base(true)."/components/com_t4pagebuilder/");
if (!defined("JPB_MEDIA")) define('JPB_MEDIA', '/media/t4pagebuilder/');
if (!defined("JPB_PATH_MEDIA")) define('JPB_PATH_MEDIA', JPATH_ROOT . JPB_MEDIA);
if (!defined("JPB_MEDIA_BUILDER")) define('JPB_MEDIA_BUILDER', JPB_MEDIA . 'builder/');
if (!defined("JPB_PATH_MEDIA_BUILDER")) define('JPB_PATH_MEDIA_BUILDER', JPB_PATH_MEDIA . 'builder/');
if (!defined("JPB_PATH_SHARE_BLOCK")) define('JPB_PATH_SHARE_BLOCK', JPB_PATH_MEDIA . 'public-html/Shared-Blocks/');

?>